<?php

namespace BusinessClass;

class TextQuestion extends Question
{
    /**
     * @param string $content
     * @param int $id
     */
    public function __construct(string $content, int $id)
    {
        parent::__construct($id, $content);
    }

    public function responseStrategy()
    {
        // TODO: Implement responseStrategy() method.
    }

    /**
     * @return string
     */
    public function printStrategy(): string
    {
        $content = $this->getContent();

        return  "\t\t\t<div class='question'>
                <label>$content</label>
                <input type='text' name='answers[]' />
            </div>\n";
    }
}
